diff --git a/dlls/mshtml/script.c b/dlls/mshtml/script.c
index 6630047..522837e 100644
--- a/dlls/mshtml/script.c
+++ b/dlls/mshtml/script.c
@@ -794,8 +794,11 @@ static HRESULT ScriptBSC_stop_binding(BSCallback *bsc, HRESULT result)
         This->size = 0;
     }
 
-    IHTMLScriptElement_Release(&This->script_elem->IHTMLScriptElement_iface);
-    This->script_elem = NULL;
+    if (This->script_elem)
+    {
+        IHTMLScriptElement_Release(&This->script_elem->IHTMLScriptElement_iface);
+        This->script_elem = NULL;
+    }
     return S_OK;
 }
 
